using System;

[AttributeUsage(AttributeTargets.Struct | 
	 AttributeTargets.Class | AttributeTargets.Interface)]
public class AuthorAttribute: System.Attribute
{
	private string mName;

	public AuthorAttribute(string aName) 
	{
		mName = aName;
	}

	public string Name 
	{
		get 
		{
			return mName;
		}
	}
}


[Author(" ")]
class CustomAttributesDemo
{
	static void Main(string[] args)
	{
		Type type = typeof(CustomAttributesDemo);
		object[] allAttributes = type.GetCustomAttributes(false);
		AuthorAttribute author =
			(AuthorAttribute) allAttributes[0];
		Console.WriteLine("This class is written by {0}. ", author.Name);
	}
}
